%bcond_with bootstrap

Summary:          Parent POM for FuseSource Maven projects
Name:             fusesource-pom
Version:          1.12
Release:          5%{?dist}
License:          ASL 2.0
URL:              http://fusesource.com/

Source0:          https://repo1.maven.org/maven2/org/fusesource/%{name}/%{version}/%{name}-%{version}.pom
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:    maven-local
%endif
BuildArch:        noarch

%description
This is a shared POM parent for FuseSource Maven projects

%prep
%autosetup -cT
cp %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%pom_remove_plugin :maven-scm-plugin
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav-jackrabbit']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.12-1
- Initial build
